---
title: self
slug: Web/XPath/Axes/self
tags:
  - Axe
  - XPath
---
<p>The <code>self</code> axis indicates the context node itself. It can be abbreviated as a single period (<code>.</code>).</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("XPath3.1","#axes","self")}}</td>
   <td>{{Spec2("XPath3.1")}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName("XPath3","#axes","self")}}</td>
   <td>{{Spec2("XPath3")}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName("XPath2","#axes","self")}}</td>
   <td>{{Spec2("XPath2")}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName("XPath1","#axes","self")}}</td>
   <td>{{Spec2("XPath1")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("xpath.axes.self")}}</p>

<p>{{QuickLinksWithSubpages("/en-US/docs/Web/XPath")}}</p>
